Skip to content
Start here

Edit Target Environment

vulnerability_scanner.target_environments.edit(strtarget_environment_id, TargetEnvironmentEditParams**kwargs) -> TargetEnvironmentEditResponse
PATCH/accounts/{account_id}/vuln_scanner/target_environments/{target_environment_id}

Updates a target environment with only the provided fields; omitted fields remain unchanged.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: Optional[str]

Identifier.

maxLength32
target_environment_id: str
formatuuid
description: Optional[str]

Optional description. Omit to leave unchanged, set to null to clear, or provide a string to update.

name: Optional[str]

Human-readable name.

target: Optional[Target]

Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

type: Literal["zone"]
zone_tag: str

Cloudflare zone tag. The zone must belong to the account.

maxLength32
ReturnsExpand Collapse
class TargetEnvironmentEditResponse:
id: str

Target environment identifier.

formatuuid
name: str

Human-readable name.

target: Target

Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

type: Literal["zone"]
zone_tag: str

Cloudflare zone tag. The zone must belong to the account.

maxLength32
description: Optional[str]

Optional description providing additional context.

Edit Target Environment

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.vulnerability_scanner.target_environments.edit(
    target_environment_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production Zone",
    "target": {
      "type": "zone",
      "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
    },
    "description": "Main production environment"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production Zone",
    "target": {
      "type": "zone",
      "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
    },
    "description": "Main production environment"
  },
  "result_info": {}
}